%define upstream_name    Lexical-Persistence
%define upstream_version 1.023

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Bind lexicals to persistent data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lexical/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::LexAlias)
BuildRequires: perl(PadWalker)
BuildArch: noarch

%{?perl_default_filter}


%description
Lexical::Persistence does a few things, all related. Note that all the
behaviors listed here are the defaults. Subclasses can override nearly
every aspect of Lexical::Persistence's behavior.

Lexical::Persistence lets your code access persistent data through lexical
variables. This example prints "some value" because the value of $x perists
in the $lp object between setter() and getter().

	use Lexical::Persistence;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.23.0-7.mga6
+ Revision: 1029132
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.23.0-6.mga6
+ Revision: 934233
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.23.0-5.mga5
+ Revision: 742293
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.23.0-4.mga5
+ Revision: 733105
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.23.0-3.mga5
+ Revision: 685199
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.23.0-2.mga4
+ Revision: 532354
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 1.23.0-1.mga4
+ Revision: 467963
- update to 1.023

* Mon Aug 12 2013 sander85 <sander85> 1.22.0-1.mga4
+ Revision: 465845
- update to 1.022

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 368983
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 36389
- mageia rebuild
- imported package perl-Lexical-Persistence

